@keyframes jump {
    0% {
        justify-content: start;
        align-items: flex-start;
    }

    100% {
        justify-content: end;
        align-items: flex-end;
    }
}

@keyframes fade {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 0.5;
    }

    100% {
        opacity: 1;
    }
}

@keyframes slide {
    0% {
        transform: translateX(100%);
    }

    100% {
        transform: translateX(-100%);
    }
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
        background-color: rgb(133, 133, 133);
        border-radius: 50%;
    }

    100% {
        transform: rotate(180deg);
    }
}

@keyframes change_color {
    0% {
        background: linear-gradient(to right, black, black);
        filter: drop-shadow(4px 4px #fbff00);

        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;

        transition: 0.2s;
    }

    50% {
        background: linear-gradient(to right, rgb(141, 141, 141), rgb(150, 150, 150));
        filter: drop-shadow(4px 4px #ff6600);

        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;

        transition: 0.2s;
    }

    100% {
        background: linear-gradient(to right, white, white);
        filter: drop-shadow(4px 4px #000000);

        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;

        transition: 0.2s;
    }
}



/* end */

/* Scrollbar */
::-webkit-scrollbar {
    background-color: transparent;
    width: 0.3rem;
}

::-webkit-scrollbar-button {
    display: none;
}

::-webkit-scrollbar-thumb {
    background-image: linear-gradient(45deg, #292929, #000000);
    border-radius: 1rem;
}

::-webkit-scrollbar-thumb:hover {
    background-image: linear-gradient(125deg, #4b4b4b, #000000);
}

/* end */

* {
    margin: 0;
    padding: 0;
    font-size: 100%;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, system-ui, 'Open Sans', 'Helvetica Neue', sans-serif;
    color: rgb(255, 255, 255);
    overflow-x: hidden;
    overflow-y: overlay;
    scrollbar-gutter: stable both-edges;
    user-select: none;

    height: 100vh;
    width: 100vw;
}

header {
    z-index: 5;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    width: 100vw;
    box-sizing: border-box;
    padding: 1rem;

    /* background-color: rgba(34, 34, 34, 0.322); */
}

header .logo {
    height: 100%;
    width: 4rem;
}

header ul {
    display: flex;
    flex-direction: row;
    align-items: center;
}

header ul li {
    list-style: none;
    margin-right: 1rem;
}

header ul li a {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.4rem;
    transition: 0.5s;
    text-decoration: none;
    font-weight: bold;
    font-size: 1.2rem;
    color: black;

    border: 2px dashed rgba(0, 0, 0, 0);
}

header ul li a img {
    height: 2rem;
    width: 2rem;
}

header .mid-ul a:hover {
    background-color: rgb(0, 0, 0);
    color: white;
    transition: 0.2s;
    text-decoration: line-through rgb(255, 255, 255) 2px;
    /* rotate: 2deg; */
    transform: translateY(-5px);
    border: 2px dashed rgb(0, 0, 0);

}

header .end-ul li a:hover {
    /* rotate: 10deg; */
    transform: translateY(-5px);
    transition: 0.2s;
    border: 2px dashed rgb(0, 0, 0);
    border-radius: 50%;
}

header #menu {
    display: none;
}

footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    background-color: black;
    color: white;
    padding: 1rem;
    font-size: 1.2rem;

    border-top: 2px dashed black;


    transition: 0.3s;
}

footer:hover {
    background-color: white;
    color: black;
    border-top: 2px dashed black;
}

#sidebar {
    z-index: 999;

    display: none;
    position: fixed;
}

#home {
    height: 100%;
    width: 100%;

    color: black;
    background-color: rgb(255, 255, 255);

    background-size: cover;
    background-position: center;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    text-align: center;
}

#home .content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#home h1 {
    font-size: 5rem;
    padding: 1rem;

    background: linear-gradient(to right, black, rgb(0, 0, 0));

    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;

    transition: 0.2s;
}

#home h1:hover {
    transition: 0.2s;
    filter: drop-shadow(3px 3px #ff0000);
}

#home .content h2 {
    font-size: 1.8rem;
    text-align: start;
}

#home .content .text-box {
    font-size: 1.2rem;
    width: 70vw;
    text-align: center;
}

#home .content .text-box span {
    text-decoration: underline;
    padding: 0.2rem;
}

#home .content .text-box span:hover {
    background-color: black;
    color: white;
    text-decoration: none;
    font-weight: bold;

    transition: 0.2s;
}

#about,
#projects,
#contact {
    width: 100vw;
    height: 100vh;

    display: flex;
    flex-direction: column;
    justify-content: center;

    color: black;
}

#about .content,
#projects .content,
#contact .content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}


#about .content .text-box,
#projects .content .text-box,
#contact .content .text-box {
    width: 60%;
    font-size: 1.4rem;
}

#about .content .text-box a,
#projects .content .text-box a,
#contact .content .text-box a {
    padding: 0.2rem;
    color: black;
    font-weight: 600;
}

#about .content .text-box a:hover,
#projects .content .text-box a:hover,
#contact .content .text-box a:hover {
    text-decoration: none;
    background-color: black;
    color: white;

    transition: 0.2s;
}

#about .content .text-box h1,
#projects .content .text-box h1,
#contact .content .text-box h1 {
    font-size: 2rem;
    margin-bottom: 1rem;
}

#about .content .img-grid,
#contact .content .img-grid {
    margin: 1rem;
    margin-top: 3rem;
}

#about .content .img-grid img,
#contact .content .img-grid img {
    height: 3.4rem;
    width: 3.4rem;
    padding: 0.6rem;
    margin-right: 1rem;
    border: 2px dashed rgba(0, 0, 0, 0.185);
    transition: 0.3s;
}

#contact .content .img-grid img {
    height: 3rem;
    width: 3rem;
}

#about .content .img-grid img:hover,
#contact .content .img-grid img:hover {
    transform: translateY(-10px);
    border: 2px dashed black;
    border-radius: 50%;
    transition: 0.3s;
}

#projects .content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
}

#projects .content .cards {
    margin-top: 3rem;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    flex-wrap: wrap;
}

#projects .content .cards .card {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: space-between;

    width: 18rem;
    height: 12rem;
    padding: 1rem;
    margin-bottom: 0.6rem;

    border-radius: 1rem;
    border: 1px solid black;
    color: black;
    background-color: white;
    box-shadow: 0.4rem 0.4rem #000000;

    transition: 0.3s;
}

#projects .content .cards .card:hover {
    color: white;
    background-color: black;
    box-shadow: 0.4rem 0.4rem #ff0037;

    transition: 0.3s;
}

#projects .content .cards .card h1 {
    font-size: 1.4rem;
    margin-bottom: 1rem;

}

#projects .content .cards .card h1 a {
    color: #ff0037;
}

#projects .content .cards .card ul {
    margin-top: 1rem;
    margin-left: 1rem;
    display: flex;
    flex-direction: row;
    gap: 1.4rem;


}

/* Media queries - Mobile */

@media screen and (max-width: 1280px) and (min-width: 800px) {
    #about .content .text-box {
        width: 90%;
        height: 100%;
        font-size: 1.3rem;
    }
}

@media screen and (max-width: 800px) {
    header {
        width: 100vw;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        padding: 1rem;
    }

    header .logo {
        height: 100%;
        width: 2.4rem;
    }

    header ul li a {
        font-size: 1rem;
    }

    header ul li a img {
        height: 1.6rem;
        width: 1.6rem;
    }

    header .mid-ul li {
        display: none;
    }

    header #menu {

        display: block;
    }

    header #menu img {
        height: 1.6rem;
        width: 1.6rem;
    }

    header #menu img:hover {
        transform: translateY(-5px);
        transition: 0.2s;
    }

    header ul li a img {
        height: 1.6rem;
        width: 1.6rem;
    }

    footer {
        font-size: 0.8rem;
    }

    #home h1 {
        font-size: 3rem;
        padding: 0.4rem;
    }


    #home .content .text-box {
        width: 96%;
    }

    #home .content .text-box h3 {
        font-weight: 500;
    }

    #about,
    #projects,
    #contact {
        padding: 0;
        margin-top: 6rem;
    }

    #about .content,
    #project .content,
    #contact .content {
        padding: 0;
        margin: 0;
        width: 100%;
    }

    #about .content .text-box,
    #projects .content .text-box,
    #contact .content .text-box {
        width: 90%;
        height: 100%;
        font-size: 1.3rem;
    }

    #about .content .img-grid img {
        height: 2.4rem;
        width: 2.4rem;
        padding: 0.4rem;
        margin-top: 1rem;
        margin-right: 0.6rem;
    }



    #sidebar {
        flex-direction: column;

        position: -ms-page;
        right: 0;

        height: max-content;
        width: 40%;

        box-sizing: border-box;
        padding: 1rem 1.6rem;

        background-color: rgb(15, 15, 15);
        border-radius: 0.0rem 0rem 0rem 0.4rem;
    }

    #sidebar .close-icon {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        /* background-color: red; */
    }

    #sidebar .close-icon #closeBtn {
        height: 3rem;
        width: 3rem;

        color: white;
        font-weight: bold;
    }

    #sidebar .close-icon #closeBtn img {
        height: 1.2rem;
        width: 1.2rem;
    }

    #sidebar .content {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    #sidebar .content .end-ul {
        margin-top: 1rem;
    }

    #sidebar ul {
        display: flex;
        flex-direction: column;
    }

    #sidebar ul li {
        list-style: none;
        margin-bottom: 1rem;
    }

    #sidebar ul li a {
        text-decoration: none;
        text-align: start;

        color: rgb(255, 255, 255);
        font-weight: bold;
        font-size: 1.2rem;
    }
}